Subject: RE: bug#9723: 24.0.50; Emacs Clipboard crash

From: Joseph Jones <[email-masked]>
Date: Mon, 30 Jan 2012 09:47:40 -0800

I have this broken in the debugger now and I will leave it there for you. This was like this when I got in this morning, no remoting in, no nothing.

Here is what I have for this crash:

warning: frame 03903C00 (emacs@BELDQD1FQ1) reexposed by WM_PAINT

Breakpoint 1, w32_abort () at w32fns.c:7196
7196    w32fns.c: No such file or directory.
        in w32fns.c
(gdb) bp
Undefined command: "bp".  Try "help".
(gdb) bt
#0  w32_abort () at w32fns.c:7196
#1  0x010ea4c8 in adjust_glyph_matrix (w=0x5b20a00, matrix=0x57b9480, x=0, y=0, dim=...) at dispnew.c:493
#2  0x010eddb2 in allocate_matrices_for_window_redisplay (w=0x5b20a00) at dispnew.c:1867
#3  0x010eec1d in adjust_frame_glyphs_for_window_redisplay (f=0x3903c00) at dispnew.c:2196
#4  0x010ee208 in adjust_frame_glyphs (f=0x3903c00) at dispnew.c:1944
#5  0x010ede82 in adjust_glyphs (f=0x3903c00) at dispnew.c:1889
#6  0x010f7aa7 in change_frame_size_1 (f=0x3903c00, newheight=65, newwidth=2, pretend=0, delay=0, safe=0) at dispnew.c:5826
#7  0x010f772b in change_frame_size (f=0x0, newheight=0, newwidth=-2, pretend=0, delay=0, safe=0) at dispnew.c:5736
#8  0x010f74e0 in do_pending_window_change (safe=0) at dispnew.c:5702
#9  0x0104b89e in wait_reading_process_output (time_limit=0, microsecs=0, read_kbd=-1, do_display=1, wait_for_cell=54749210,
    wait_proc=0x0, just_wait_proc=0) at process.c:4673
#10 0x0100ca33 in kbd_buffer_get_event (kbp=0x82f808, used_mouse_menu=0x82fa88, end_time=0x0) at keyboard.c:3851
#11 0x01009637 in read_char (commandflag=1, nmaps=8, maps=0x82f9a0, prev_event=54749210, used_mouse_menu=0x82fa88,
    end_time=0x0) at keyboard.c:2797
#12 0x0101c1d2 in read_key_sequence (keybuf=0x82fc04, bufsize=30, prompt=54749210, dont_downcase_last=0,
    can_return_switch_frame=1, fix_current_buffer=1) at keyboard.c:9300
#13 0x01005c17 in command_loop_1 () at keyboard.c:1448
#14 0x01032b5f in internal_condition_case (bfun=0x100561f <command_loop_1>, handlers=54806938, hfun=0x1004e3e <cmd_error>)
    at eval.c:1499
#15 0x0100527b in command_loop_2 (ignore=54749210) at keyboard.c:1159
#16 0x01032582 in internal_catch (tag=54804962, func=0x1005257 <command_loop_2>, arg=54749210) at eval.c:1256
#17 0x01005237 in command_loop () at keyboard.c:1138
#18 0x01004813 in recursive_edit_1 () at keyboard.c:758
#19 0x01004b2e in Frecursive_edit () at keyboard.c:822
#20 0x01002839 in main (argc=1, argv=0xb02740) at emacs.c:1715
(gdb) i locals
button = 0
(gdb) i args
No arguments.
(gdb) dim
Undefined command: "dim".  Try "help".
(gdb) p dim
No symbol "dim" in current context.
(gdb) f 1
#1  0x010ea4c8 in adjust_glyph_matrix (w=0x5b20a00, matrix=0x57b9480, x=0, y=0, dim=...) at dispnew.c:493
493     dispnew.c: No such file or directory.
        in dispnew.c
(gdb) p dim
$1 = {
  width = 4,
  height = 67
}
(gdb) p w
$2 = (struct window *) 0x5b20a00
(gdb) p *w
$3 = {
  header = {
    size = 1073745975,
    next = {
      buffer = 0x5b20400,
      vector = 0x5b20400
    }
  },
  frame = 59784197,
  mini_p = 54749210,
  next = 59783173,
  prev = 54749210,
  hchild = 54749210,
  vchild = 54749210,
  parent = 54749210,
  left_col = 0,
  top_line = 0,
  total_lines = 256,
  total_cols = 0,
  normal_lines = 54736647,
  normal_cols = 54736639,
  new_total = 480,
  new_normal = 54749210,
  buffer = 57479173,
  start = 100433619,
  pointm = 100433595,
  force_start = 54749210,
  optional_new_start = 54749210,
  hscroll = 0,
  min_hscroll = 0,
  use_time = 6472,
  sequence_number = 60,
  temslot = 8,
  last_modified = 18192,
  last_overlay_modified = 11356,
  last_point = 1100880,
  last_had_star = 54749234,
  vertical_scroll_bar = 54749210,
  left_margin_cols = 24,
  right_margin_cols = 54749210,
  left_fringe_width = 54749210,
  right_fringe_width = 54749210,
  fringes_outside_margins = 54749210,
  scroll_bar_width = 54749210,
  vertical_scroll_bar_type = 54749234,
  last_mark_x = 54749210,
  last_mark_y = 54749210,
  window_end_pos = 0,
  window_end_vpos = 0,
  window_end_valid = 54749210,
  update_mode_line = 54749210,
  start_at_line_beg = 54749234,
  display_table = 54749210,
  dedicated = 54749210,
  base_line_number = 9980,
  base_line_pos = 1059176,
  region_showing = 54749210,
  column_number_displayed = 54749210,
  redisplay_end_trigger = 54749210,
  combination_limit = 54749210,
  prev_buffers = 97438990,
  next_buffers = 54749210,
  window_parameters = 97408838,
  current_matrix = 0x38e1280,
  desired_matrix = 0x57b9480,
  nrows_scale_factor = 1,
  ncols_scale_factor = 2,
  last_cursor = {
    x = 0,
    y = 0,
    hpos = 0,
    vpos = 0
  },
  cursor = {
    x = 0,
    y = 0,
    hpos = 0,
    vpos = 0
  },
  phys_cursor = {
    x = 0,
    y = 0,
    hpos = 0,
    vpos = 0
  },
  phys_cursor_type = -1,
  phys_cursor_width = -1,
  phys_cursor_ascent = 12,
  phys_cursor_height = 16,
  phys_cursor_on_p = 1,
  cursor_off_p = 1,
  last_cursor_off_p = 1,
  must_be_updated_p = 0,
  pseudo_window_p = 0,
  frozen_window_start_p = 0,
  vscroll = 0,
  window_end_bytepos = 0
}
(gdb) p matrix
$4 = (struct glyph_matrix *) 0x57b9480
(gdb) p dim
$5 = {
  width = 4,
  height = 67
}
(gdb) i args
w = 0x5b20a00
matrix = 0x57b9480
x = 0
y = 0
dim = {
  width = 4,
  height = 67
}
(gdb)